nlayers {raster} | R Documentation

## Number of layers

### Description

Get the number of layers in a Raster* object, typically used with a (multilayer) RasterStack or RasterBrick object

### Usage

    nlayers(x)

### Arguments

`x` | Raster* object

### Value

integer

### See Also

`names`

### Examples

    r <- raster(ncols=10, nrows=10)
    r[] <- 1:ncell(r)
    s <- stack(r, r, r)
    nlayers(s)
    s <- stack(s,s)
    nlayers(s)
    s <- dropLayer(s, 2:3)
    nlayers(s)

[Package raster version 2.5-2 Index]